#
# spec file for package python-rednose
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-rednose
Version:        1.2.1
Release:        1.7
Summary:        Pretty output formatter for python3-nosetests
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/rednose/
Source0:        https://files.pythonhosted.org/packages/source/r/rednose/rednose-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-nose
Requires:       python3-python-termstyle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Rednose is a nosetests plugin for adding colour (and readability) to nosetest console results.

%prep
%setup -q -n rednose-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}

%changelog
* Sun Jul  3 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.2.1:
  * In python 2.7+ label skips as skip tests.
  * Change skip test exception coloring to blue..
* Sat May 28 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.1.1:
  * Fix for immediate broken with recent release when I switched API
    ussage and removed an function.
- changes from version 1.1.0:
  * Update tests for better reporting
  * fix for errors during module setup (issue #1)
  * Better support for skips
  * Introduce proper printing for skipped tests as well as the ability
    to supress them using --hide-skips
  * Test with python 3.4
- changes from version 1.0.0:
  * [!] This release completely changes the way in which color test
    results are printed. It now attmepts to override the code which
    nose uses to print results rather than to supress those results
    and print them seperatly.
  * [!] Package maintainer changes to JBKahn
  * Use travis for testing
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Dec 14 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.4.3:
  * use colorama on windows
  * make to_unicode attempt utf8 fallback on non-string types
  * Fix to_unicode convert if argument is not string
  * Change to_unicode behavior with python2
  * highlight line numbers in bold/cyan (closes #23)
  * gitignore
  * update pypi task
* Fri Dec  4 2015 bear454@opensuse.org
- rename dependency to match package name
* Fri Dec  4 2015 bear454@opensuse.org
- Adapt specfile for python3
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 0.4.1
  + No changelog available
- Use tarball from pypi
- Change Url to pypi
- Use download url as source
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * Dont't rm -rf %%buildroot
  * Use SPDX-style license and assume it's BSD-3-Clause
  * BuildRequire python-distribute instead of setuptools
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- don't need python-nose for packaging
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Fixed requires-section
- Added required python-termstyle package
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Initial checkin version 0.2.6
